SDL_FLOATWORDORDER(3)

NAME
SDL_FLOATWORDORDER - A macro that reports the target system's floating point word order.

HEADER FILE
Defined in SDL3/SDL_endian.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_FLOATWORDORDER   SDL_LIL_ENDIAN___or_maybe___SDL_BIG_ENDIAN

DESCRIPTION
This is set to either SDL_LIL_ENDIAN
 or

SDL_BIG_ENDIAN
 (and maybe other values in the future, if something else becomes popular). This can be tested with the preprocessor, so decisions can be made at compile time.

        #if SDL_FLOATWORDORDER == SDL_BIG_ENDIAN
        SDL_Log("This system's floats are bigendian.");
        #endif

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LIL_ENDIAN(3), •(3), SDL_BIG_ENDIAN(3)